$ ! This procedure will uncompress and install GLE on a VMS machine.
$ 	set on
$ 	set verify
$ ! It is assumed you have copied the following files into this
$ ! directory:
$ ! 	zcompress.exe 		The decompression program (vms-modified)
$ ! 	gleexe.bck_z		The vax version of gle
$ ! 	glemanual_ps.bck_z	The PostScript version of the manual
$ ! 	gleexamples.bck_z	Some gle examples.
$ ! 
$ ! First find the current disk/directory (of this procedure)
$ 	root = f$environment("procedure")
$ 	rootdev = f$parse(root,,,"device","syntax_only") 
$ 	rootdir = f$parse(root,,,"directory","syntax_only") 
$ 	root = rootdev+rootdir
$
$ 	compress :== $'root'zcompress -v
$ 	uncompress :== $'root'zcompress -dv
$ 	uncompress_saveset :== $'root'zcompress -dvs
$ 
$ 	Write sys$output "Where would you like to install GLE (15,000 Blocks required)"
$ 	inquire dest "<SYS$SYSDEVICE:[GLE]>"
$ 	if dest.eqs."" then dest = "SYS$SYSDEVICE:[GLE]"
$  	
$ 	destsrc = dest - "]" + ".source]"
$ 	destex = dest - "]" + ".examples]"
$ 	
$	call restore glesrc.bck 'destsrc'
$	call restore gleobj.bck 'destsrc'
$	call restore gleexe.bck 'dest'
$	call restore glemanual_ps.bck 'dest'
$	call restore gleexamples.bck 'destex'
$
$ ! NOTE: You still have to insert the line:
$ ! 				$ @sys$sysdevice:[gle]cgle_start.com
$ ! into sys$manager:systartup.com
$ ! and include the file 
$ ! 				cgle_top:cgle_login.com
$ ! into sys$manager:sylogin.com
$	
$ exit 1
$restore: SUBROUTINE
$	if f$search("''p1'_z") .EQS. "" then exit
$	uncompress_saveset -u 'p1'	! compress and delete _Z file
$	backup 'p1'/save 'p2' 
$ 	delete 'p1';
$ ENDSUBROUTINE
